Package org.stianloader.micromixin.transform.internal.annotation

## Class MixinInjectAnnotation

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.annotation.MixinAnnotation<MixinMethodStub>
  - - org.stianloader.micromixin.transform.internal.annotation.MixinInjectAnnotation

- All Implemented Interfaces:
    `java.lang.Comparable<MixinAnnotation<MixinMethodStub>>`

      public final class MixinInjectAnnotation
      extends MixinAnnotation<MixinMethodStub>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.Collection<SlicedInjectionPointSelector>` | `at` |
    `java.util.Collection<MixinTargetSelector>` | `selectors` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(org.objectweb.asm.tree.ClassNode to, HandlerContextHelper hctx, MixinStub sourceStub, MixinMethodStub source, SimpleRemapper remapper, java.lang.StringBuilder sharedBuilder)` |
    `void` | `collectMappings​(MixinMethodStub source, HandlerContextHelper hctx, org.objectweb.asm.tree.ClassNode target, SimpleRemapper remapper, java.lang.StringBuilder sharedBuilder)` |
    `static MixinInjectAnnotation` | `parse​(org.objectweb.asm.tree.ClassNode node, org.objectweb.asm.tree.MethodNode method, org.objectweb.asm.tree.AnnotationNode annot, MixinTransformer<?> transformer, java.lang.StringBuilder sharedBuilder)` |

    - ### Methods inherited from class org.stianloader.micromixin.transform.internal.annotation.MixinAnnotation

      `compareTo, isCompatible, validateMixin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### at

          @NotNull
          public final java.util.Collection<SlicedInjectionPointSelector> at

    - #### selectors

          @NotNull
          public final java.util.Collection<MixinTargetSelector> selectors

  - ### Method Detail

    - #### parse

          @NotNull
          public static MixinInjectAnnotation parse​(@NotNull
                                                    org.objectweb.asm.tree.ClassNode node,
                                                    @NotNull
                                                    org.objectweb.asm.tree.MethodNode method,
                                                    @NotNull
                                                    org.objectweb.asm.tree.AnnotationNode annot,
                                                    @NotNull
                                                    MixinTransformer<?> transformer,
                                                    @NotNull
                                                    java.lang.StringBuilder sharedBuilder)
                                             throws MixinParseException

      Throws:
        `MixinParseException`

    - #### apply

          public void apply​(@NotNull
                            org.objectweb.asm.tree.ClassNode to,
                            @NotNull
                            HandlerContextHelper hctx,
                            @NotNull
                            MixinStub sourceStub,
                            @NotNull
                            MixinMethodStub source,
                            @NotNull
                            SimpleRemapper remapper,
                            @NotNull
                            java.lang.StringBuilder sharedBuilder)

      Specified by:
        `apply` in class `MixinAnnotation<MixinMethodStub>`

    - #### collectMappings

          public void collectMappings​(@NotNull
                                      MixinMethodStub source,
                                      @NotNull
                                      HandlerContextHelper hctx,
                                      @NotNull
                                      org.objectweb.asm.tree.ClassNode target,
                                      @NotNull
                                      SimpleRemapper remapper,
                                      @NotNull
                                      java.lang.StringBuilder sharedBuilder)

      Specified by:
        `collectMappings` in class `MixinAnnotation<MixinMethodStub>`